powernap-action(8)

NAME
powernap-action - enable or disable scripts to run when PowerNap's ACTION METHOD is PowerSave

SYNOPSIS
powernap-action [-e|--enable ACTION] [-d|--disable ACTION ] [-l|--list]

OPTIONS

-e|--enable ACTION
    Enable an ACTION script.

-d|--disable ACTION
    Disable an ACTION script.

-l|--list
    List available ACTIONS, with its current state (disabled or enabled). The ACTION scripts are available at /etc/pm/power.d/).

DESCRIPTION
powernap-action will enable or disable any of the scripts available at /etc/pm/power.d/. These scripts are executed by pm-powersave when PowerNap ACTION METHOD is PowerSave. The ACTION_METHOD can be selected in /etc/powernap/config.

Additionally, it can also list all the available scripts in /etc/p/power.d/. The list will show the available script, with is enabled or disabled status, and a description of what each scripts does.

The scripts are compatible with pm-utils, to be able to be run with pm-powersave. If new scripts are added to /etc/pm/power.d and remain compatible to pm-powersave, powernap-action will be able to perform the desired actions (enabled, disable, list).

You may do one of:
  1) powernap-action --list
  2) powernap-action --enable cpu_smp_sched
  3) powernap-action --disable cpu_smp_sched

http://launchpad.net/powernap

FILES
/etc/powernap/config

SEE ALSO
powernapd(8), pm-powersave(1)

AUTHOR
This manpage and the utility was written by Andres Rodriguez <andreserl@ubuntu.com> for Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.